Get version graph
curl --request GET \
--url https://app.freyavoice.ai/api/v2/versions/{entityType}/{entityId}/graph \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.freyavoice.ai/api/v2/versions/{entityType}/{entityId}/graph"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.freyavoice.ai/api/v2/versions/{entityType}/{entityId}/graph', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"result": {
"nodes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"parentVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPublished": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"configDiffSummary": [
{
"section": "<string>",
"count": 2
}
],
"name": "<string>",
"description": "<string>",
"closedFeedbacks": [
{
"id": "<string>",
"number": 123,
"title": "<string>"
}
],
"checks": {
"unit": {
"pass": 1,
"fail": 1,
"error": 1,
"running": 1,
"stale": 1
},
"sim": {
"passed": 1,
"failed": 1,
"running": 1
}
}
}
],
"branches": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"entityType": "<string>",
"entityId": "<string>",
"baseVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commitCount": 123,
"closesCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"agentName": "<string>",
"baseVersionNumber": 123,
"headVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"headVersionNumber": 123,
"mergedVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mergedVersionNumber": 123,
"mergedVersionPublished": true,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}Versions
Get version graph
Returns every commit (mainline + all branch commits) and every branch for an entity in one payload, for the full commit-graph history view.
GET
/
versions
/
{entityType}
/
{entityId}
/
graph
Get version graph
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Entity type: 'agent' or 'workflow'
Available options:
agent, workflow ⌘I